<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.image.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" stylesheets="@../styles/style.css" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="javafx.controller.ControllerConexion">
   <children>
      <AnchorPane maxHeight="100.0" prefHeight="100.0" prefWidth="602.0" style="-fx-background-color: #8e0000;" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <children>
            <Label layoutX="138.0" layoutY="32.0" text="CONFIGURACIÓN DE CONEXIÓN" textFill="WHITE" AnchorPane.leftAnchor="138.0" AnchorPane.topAnchor="32.0">
               <font>
                  <Font name="System Bold" size="25.0" />
               </font></Label>
            <ImageView fitHeight="60.0" fitWidth="62.0" layoutX="51.0" layoutY="19.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../imagenes/config.png" />
               </image>
            </ImageView>
         </children>
      </AnchorPane>
      <Label layoutX="62.0" layoutY="134.0" styleClass="textSimple" text="Elija el tipo de conexión con el que desea trabajar." AnchorPane.leftAnchor="62.0" AnchorPane.topAnchor="134.0" />
      <RadioButton fx:id="conJDBC" layoutX="107.0" layoutY="176.0" mnemonicParsing="false" selected="true" styleClass="textSimple" text="Conexión JDBC" AnchorPane.leftAnchor="107.0" AnchorPane.topAnchor="176.0" />
      <RadioButton fx:id="conMongo" layoutX="359.0" layoutY="176.0" mnemonicParsing="false" styleClass="textSimple" text="Conexión Mongo" AnchorPane.leftAnchor="359.0" AnchorPane.topAnchor="176.0" />
      <Button layoutX="384.0" layoutY="330.0" mnemonicParsing="false" onAction="#cambiarConexion" text="Guardar" AnchorPane.leftAnchor="384.0" AnchorPane.topAnchor="330.0" />
      <Label layoutX="88.0" layoutY="219.0" text="URL" AnchorPane.leftAnchor="88.0" AnchorPane.topAnchor="219.0" />
      <Label layoutX="87.0" layoutY="249.0" text="Usuario" AnchorPane.leftAnchor="88.0" AnchorPane.topAnchor="249.0" />
      <Label layoutX="88.0" layoutY="280.0" text="Contraseña" AnchorPane.leftAnchor="88.0" AnchorPane.topAnchor="280.0" />
      <TextField fx:id="campoURL" layoutX="158.0" layoutY="215.0" AnchorPane.leftAnchor="158.0" AnchorPane.topAnchor="215.0" />
      <TextField fx:id="campoUsuario" layoutX="158.0" layoutY="245.0" AnchorPane.leftAnchor="158.0" AnchorPane.topAnchor="245.0" />
      <TextField fx:id="campoContrasenya" layoutX="158.0" layoutY="276.0" AnchorPane.leftAnchor="158.0" AnchorPane.topAnchor="276.0" />
   </children>
</AnchorPane>
